<button class="add-button" *ngIf="loggedInUser.role?.id != 4" (click)="openVerticallyCentered(mymodal)" >+</button>
<ng-template #mymodal let-modal >
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Ajouter un Bug</h4>
    <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
  </div>
  <div class="modal-body">
    <form [formGroup]="createBugForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <div class="form-group">
          <input
            type="hidden"
            id="projet_projet_id"
            name="projet_projet_id"
            value="{{projet.id}}"
          />
          <input
            type="hidden"
            id="assigne_a_utilisateur_id"
            name="assigne_a_utilisateur_id"
            value="{{ null }}"
          />
          <select name="typeErreur" id="typeErreur" class="w-100" formControlName="typeErreur">
            <option value="" [selected]>Choisissez un type d'erreur</option>
            <option *ngFor="let typeErreur of typesErreurs" [ngValue]="typeErreur">{{ typeErreur.nom }}</option>
          </select>
        </div>
        <div class="form-group">
          <select name="testPlan" id="testPlan" class="w-100" formControlName="testPlan">
            <option value="" [selected] (click)="setItem('removeTesTPlan')">Choisissez un Plan de Tests</option>
            <option *ngFor="let testplan of testPlans" [ngValue]="testplan" (click)="setItem('testplan', testplan)">{{ testplan.nom }}</option>
          </select>
        </div>
        <div class="form-group" *ngIf="groupesFonctionnalites">
          <select name="groupeFonctionnalites" id="groupeFonctionnalites" class="w-100" formControlName="groupeFonctionnalites">
            <option value="" [selected]>Choisissez un Groupe de Fonctionnalités</option>
            <option *ngFor="let groupeFonctionnalites of groupesFonctionnalites" [ngValue]="groupeFonctionnalites" (click)="setItem('groupeFonctionnalite', groupeFonctionnalites)">{{ groupeFonctionnalites.nom }}</option>
          </select>
        </div>
        <div class="form-group" *ngIf="fonctionnalites">
          <select name="fonctionnalite" id="fonctionnalite" class="w-100" formControlName="fonctionnalite">
            <option value="" [selected]>Choisissez une Fonctionnalité</option>
            <option *ngFor="let fonctionnalite of fonctionnalites" [ngValue]="fonctionnalite" (click)="setItem('fonctionnalite', fonctionnalite)">{{ fonctionnalite.nom }}</option>
          </select>
        </div>
        <!--
        <div class="form-group" >
          <span (click)="addFormGroup()" style="cursor: pointer;">Assigner a</span>
          <div id="assigner"></div>
        </div>
        -->
        <div class="form-group">
          <label class="mb-1" for="commentaire">Commentaire</label>
          <textarea
            class="form-control mb-2"
            id="commentaire"
            name="commentaire"
            formControlName="commentaire"
          ></textarea>
        </div>
        <div class="form-group">
          <label class="mb-1" for="details">Détails</label>
          <textarea
            class="form-control mb-2"
            id="details"
            name="details"
            formControlName="details"
          ></textarea>
        </div>
        Projet : {{ projet.nom }}
        <div class="mt-3 mb-2">
          <button class="btn btn-primary w-100">Sauvegarder</button>
        </div>
        <div class="mt-2 mb-2">
          <button class="btn btn-secondary w-100" type="reset" (click)="onReset()">Annuler</button>
        </div>
      </div>
    </form>
  </div>
</ng-template>

